Bug 1001203 - FTBFS: uhd-3.5.3-1.fc20 sph_recv_test never completes
FTBFS: uhd-3.5.3-1.fc20 sph_recv_test never completes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: uhd (Show other bugs)
20
powerpc Linux
high Severity high
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On: 1002578 1128127
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 13:43 EDT by David Aquilina
Modified: 2014-08-08 06:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-08 16:43:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Aquilina 2013-08-26 13:43:33 EDT
Description of problem:

When building uhd-3.5.3-1.fc20 on Power, the sph_recv_test never completes (and then the build task times out and is killed by koji): 

Running tests...
/usr/bin/ctest --force-new-ctest-process 
Test project /builddir/build/BUILD/uhd-release_003_005_003/host/build
      Start  1: addr_test
 1/15 Test  #1: addr_test ........................   Passed    0.03 sec
      Start  2: buffer_test
 2/15 Test  #2: buffer_test ......................   Passed    0.03 sec
      Start  3: byteswap_test
 3/15 Test  #3: byteswap_test ....................   Passed    0.02 sec
      Start  4: convert_test
 4/15 Test  #4: convert_test .....................   Passed    0.52 sec
      Start  5: dict_test
 5/15 Test  #5: dict_test ........................   Passed    0.02 sec
      Start  6: error_test
 6/15 Test  #6: error_test .......................   Passed    0.01 sec
      Start  7: gain_group_test
 7/15 Test  #7: gain_group_test ..................   Passed    0.01 sec
      Start  8: msg_test
 8/15 Test  #8: msg_test .........................   Passed    0.01 sec
      Start  9: property_test
 9/15 Test  #9: property_test ....................   Passed    0.02 sec
      Start 10: ranges_test
10/15 Test #10: ranges_test ......................   Passed    0.02 sec
      Start 11: sph_recv_test
EXCEPTION: Timeout(172800) expired for command:
 # ['bash', '--login', '-c', 'rpmbuild -bb --target ppc --nodeps builddir/build/SPECS/uhd.spec']

Full build log: http://ppc.koji.fedoraproject.org/kojifiles/work/tasks/2801/1352801/build.log
Comment 1 Jaroslav Škarvada 2013-08-29 09:26:25 EDT
This seems to be bug in the boost, filled bug 1002578. I will not bypass the test, because the interprocess communication doesn't work correctly now, i.e. the uhd doesn't work correctly on the PPC now, so the test detects the problem correctly.
Comment 2 Karsten Hopp 2013-09-08 16:43:43 EDT
uhd-3.5.3-3.fc20 built on PPC* with the latest boost and the fix for bug 1002578

Note You need to log in before you can comment on or make changes to this bug.